Subject: Re: [PATCH 3/3] [POWERPC] Add PCI support for AMCC 440EPx (sequoia)

From: David Gibson <[email-masked]>
Date: Tue, 28 Aug 2007 10:21:28 +1000

On Mon, Aug 27, 2007 at 08:21:35AM +0200, Stefan Roese wrote:
> On Monday 27 August 2007, David Gibson wrote:
> > On Sat, Aug 25, 2007 at 01:30:01PM +0400, Vitaly Bordug wrote:
[snip]
> > Unless there really is something peculiar about the EPx bridge
> > compared to say the GP, EP and other 4xx bridges, this should have a
> > more general name.
> 
> We originally started naming this file sequoia-pci.c and changed it to be 
> 440EPx specific (just by renaming). But you are right of course. We should 
> make it even more generic for 4xx PCI support. Perhaps we will overlook some 
> problems with other 4xx platforms, but those should be solved when other 
> platforms (Josh: 440ep and 405gp? ;)) will be added.
> 
> So what should it be called? arch/powerpc/syslib/ppc4xx_pci.c ?

Sounds ok, except that it's sysdev, not syslib in arch/powerpc of
course.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson